Page MenuHomePhabricator

Enable ContentTranslation in the Kannada Wikipedia
Closed, ResolvedPublic

Description

Many have been translating articles from En:Wiki and Content Translations would be an awesome tool to have on kn:wiki. Please enable the same.

Here is a discussion initiated on WP:VP.

Event Timeline

Omshivaprakash raised the priority of this task from to Normal.
Omshivaprakash updated the task description. (Show Details)

I don't see Kannada there

@santhosh thanks for the update.

@Pavanaja Search for Kannada. -> In Beta, 19 March, 2015

This comment was removed by santhosh.

Kannada is available as target language in http://en.wikipedia.beta.wmflabs.org/wiki/Special:ContentTranslation now. Please report any issues you see. Please try translating some articles. There is no machine translation, but all other translation tools like automatic link, category, image, reference adaptation should work.

It is a beta feature, you may need to enable it if not done already.

Arrbee moved this task from Unscheduled to June 2015 on the Roadmap board.Mar 20 2015, 4:46 AM

Change 199191 had a related patch set uploaded (by KartikMistry):
config: Add languages and MT support

https://gerrit.wikimedia.org/r/199191

Change 199191 merged by jenkins-bot:
config: Add languages and MT support

https://gerrit.wikimedia.org/r/199191

Restricted Application added a project: Notice. · View Herald TranscriptMar 25 2015, 3:54 AM
gpaumier moved this task from Backlog to Triaged on the Notice board.Mar 25 2015, 9:52 PM

Change 199822 had a related patch set uploaded (by KartikMistry):
cx: Add Kannada (kn) in target wiki

https://gerrit.wikimedia.org/r/199822

Change 199823 had a related patch set uploaded (by KartikMistry):
cx: Install ContentTranslation in Kannada (kn) wiki

https://gerrit.wikimedia.org/r/199823

KartikMistry added a project: LE-Sprint-84.
KartikMistry moved this task from Backlog to In Review on the LE-Sprint-84 board.
KartikMistry added a subscriber: LE-Sprint-84.
KartikMistry removed a subscriber: LE-Sprint-84.

Change 199822 merged by Alexandros Kosiaris:
cx: Add Kannada (kn) and Ukrainian (uk) in target wikis

https://gerrit.wikimedia.org/r/199822

Change 199823 merged by jenkins-bot:
cx: Enable ContentTranslation in Kannada (kn) and Ukrainian (uk) wikis

https://gerrit.wikimedia.org/r/199823

Change 199823 merged by jenkins-bot:
cx: Enable ContentTranslation in Kannada (kn) and Ukrainian (uk) wikis
https://gerrit.wikimedia.org/r/199823

Is there any reason why Kannada is not enabled also as source language?

If I recall correctly when enabling languages we decided to enable all language combinations except some special source-only languages for which CX is not deployed (e.g., English). I'm not sure how much Content Translation will be used to translate Kannada articles into the rest of supported languages, but I don't see a reason to limit that.

Eloquence moved this task from June 2015 to March 23-27 on the Roadmap board.Mar 27 2015, 5:47 AM
santhosh closed this task as Resolved.Mar 27 2015, 10:38 AM

Content Translation is enabled in Kannada wiki as a beta feature!. Please communicate it widely with your friends and start translating :)

Hi All, Thanks for making this happen. I went ahead and did translate couple of articles. Here are some of my observations. Tables doesn't get added properly or may be It needed me to click on each cell to get full table border. Please check ಸಂಚಾರಿ_ವಿಜಯ್ to learn about this.

  1. Language link had català in place of English (source language) - and català points to broken link
  1. Machine Translations are awesome! but it adds the kannada article link to translations. If we get an option to change the link text also, that would avoid editing the article after publishing. For example Harivu - I had to go back and change the text to ಹರಿವು manually though the link was correctly pointing to an article in Kn:Wiki
  1. Infobox didn't appear for translation.

I shall keep testing and posting my findings.

Thanks much once again!
Shivu

Amire80 raised the priority of this task from Normal to High.Mar 30 2015, 10:25 AM
Amire80 moved this task from Backlog to Deployments on the ContentTranslation-Release5 board.
KartikMistry moved this task from In Review to Done on the LE-Sprint-84 board.Mar 30 2015, 3:34 PM
gpaumier moved this task from Triaged to Archive on the Notice board.Apr 9 2015, 5:46 PM
Amire80 added a subscriber: Amire80.Apr 9 2015, 5:57 PM

@Omshivaprakash

Just replies to your comments:

  1. A link to Catalan appears because you probably selected Catalan somewhere for testing or by mistake, and it was saved in a cookie. English didn't appear, because we don't add automatic links to Wikidata yet, but we will soon. And what do you mean by broken link?
  1. We'll improve link support in the coming weeks.
  1. Infoboxes are not properly supported yet. This will be done in the future.